-rw-r--r-- | delta.jscad | 2 |
1 files changed, 1 insertions, 1 deletions
diff --git a/delta.jscad b/delta.jscad index a1be156..5c63b41 100644 --- a/delta.jscad +++ b/delta.jscad @@ -554,97 +554,97 @@ var E2020 = { [ -e.slot_width/2,e.outer/2], ]).extrude({offset:[0,0,l+thickness]}).rotateZ(w); })); rv.properties.P = new CSG.Connector([0,0,0],[0,0,1],[1,0,0]); return rv; } }; var THREEWINDS = [0,120,240]; function base_sides() { return [0,1].map(function(l) { return THREEWINDS.map(function(w) { var e = E2020.extrusion({l:CONFIG.base.el}); e = e.connectTo(e.properties.c_midway, new CSG.Connector([0,-CD.base.mid_inscription_r,CONFIG.extrusion.w/2],[1,0,0],[0,0,1]), false, 0); return ( e.translate([0,0,CONFIG.foot.h+l*(CONFIG.extrusion.w+CONFIG.base.gap)]) .rotateZ(w) .setColor(CONFIG.color.extrusion) ); }); }); } function base_extrusions() { var rv = union( base_sides().map(function(x){return union(x)}) ); rv.properties.P = new CSG.Connector([0,0,0],[0,0,1],[1,0,0]); return rv; } function columns() { return THREEWINDS.map(function(w) { return (E2020.extrusion({l:CONFIG.column.h}) .translate([0,CD.base.column_r,CONFIG.foot.h]) .rotateZ(w).setColor(CONFIG.color.extrusion) ); }); } function column_extrusions() { var rv = union( columns() ); rv.properties.P = new CSG.Connector([0,0,0],[0,0,1],[1,0,0]); return rv; } function duet() { var C = CONFIG.duet; var pholes = new CSG.Properties(); var hx = C.hole_spacing.x/2; var hy = C.hole_spacing.y/2; - var hh = { nw: [1,-1], ne: [1,1], se: [-1,1], sw: [-1,-1] }; + var hh = { nw: [-1,1], ne: [1,1], se: [1,-1], sw: [-1,-1] }; var holes = []; for(w in hh) { var h = hh[w],_x=h[0]*hx,_y=h[1]*hy; holes.push(CSG.cylinder({start:[_x,_y,-1],end:[_x,_y,C.pcb_size.z+1],radius:3/2})); pholes['c_'+w] = new CSG.Connector([_x,_y,0],[0,0,1],[1,0,0]); } rv = CSG.cube({ corner1: [-C.pcb_size.x/2, -C.pcb_size.y/2, 0], corner2: [ C.pcb_size.x/2, C.pcb_size.y/2, C.pcb_size.z] }).subtract(holes).setColor(CONFIG.color.pcb).union( CSG.cube({ corner1: [-C.pcb_size.x/2,-C.hole_spacing.y/2+3,C.pcb_size.z], corner2: [ C.pcb_size.x/2, C.hole_spacing.y/2-3,C.h] }).setColor(CONFIG.color.bulk) ); rv.properties.holes = pholes; rv.properties.P = new CSG.Connector([0,0,0],[0,0,1],[1,0,0]); rv.properties.vitamin = true; return rv; } function foot() { var F = CONFIG.foot; var br = F.bolt.hd/2+F.margin; var bh = F.zscalefactor*Math.sqrt(Math.pow(F.d/2,2)-Math.pow(br,2)); var th = F.h-bh; var r = 2*F.d; var rv = CSG.sphere({ // botom contorted sphere center: [0,0,0], radius: F.d/2, resolution: r }).scale([1,1,F.zscalefactor]).translate([0,0,bh]).union(CSG.cylinder({ // top hat start: [0,0,bh], end: [0,0,F.h], radius: F.d/2, resolution: r })).intersect(CSG.cylinder({ // cut off excess start: [0,0,0], end: [0,0,F.h], radius: F.d })).subtract([ CSG.cylinder({ // bolt hole start: [0,0,-1], end: [0,0,F.h+1], radius: F.bolt.d/2+PRINT.slide_tolerance }), CSG.cylinder({ // nut hole start: [0,0,F.h-F.nut.h-PRINT.play_tolerance], end: [0,0,F.h], radius: F.nut.d/2+PRINT.slide_tolerance, resolution: 6 }), CSG.cylinder({ // bolthead/washer hole start: [0,0,-1], end: [0,0,F.h-F.nut.h-PRINT.play_tolerance-F.shell], radius: F.bolt.hd/2+PRINT.play_tolerance }) ]).union(CSG.cylinder({ // bridging patch start: [0,0,F.h-F.nut.h-PRINT.play_tolerance-PRINT.layer_height], end: [0,0,F.h-F.nut.h-PRINT.play_tolerance], radius: F.nut.d/2 |